Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.dependency
Class KernelControllerContextActions.LifecycleAction

    java.lang.Object
      org.jboss.kernel.plugins.dependency.KernelControllerContextActions.KernelControllerContextAction
          org.jboss.kernel.plugins.dependency.KernelControllerContextActions.LifecycleAction

All Implemented Interfaces:
  org.jboss.dependency.plugins.spi.action.ControllerContextAction

Direct Known Subclasses:
  KernelControllerContextActions.CreateDestroyLifecycleAction, KernelControllerContextActions.StartStopLifecycleAction

Enclosing class:
  KernelControllerContextActions

public abstract static class KernelControllerContextActions.LifecycleAction
extends KernelControllerContextActions.KernelControllerContextAction

A lifecycle action

Field Summary

Fields inherited from class org.jboss.kernel.plugins.dependency.KernelControllerContextActions.KernelControllerContextAction
`log`

Constructor Summary
`KernelControllerContextActions.LifecycleAction()` Create a new AbstractLifecycleAction.

Method Summary
`abstract String` | `getInstallMethod(KernelControllerContext context)` Get the install method
`abstract List` | `getInstallParameters(KernelControllerContext context)` Get the install parameters
`abstract String` | `getUninstallMethod(KernelControllerContext context)` Get the uninstall method
`abstract List` | `getUninstallParameters(KernelControllerContext context)` Get the uninstall parameters
`void` | `installAction(KernelControllerContext context)`
`void` | `uninstallAction(KernelControllerContext context)`

Methods inherited from class org.jboss.kernel.plugins.dependency.KernelControllerContextActions.KernelControllerContextAction
`install, uninstall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KernelControllerContextActions.LifecycleAction

    public KernelControllerContextActions.LifecycleAction()

  Create a new AbstractLifecycleAction.

Method Detail

### getInstallMethod

    public abstract String getInstallMethod(KernelControllerContext context)

  Get the install method

  Parameters:
    `context` - the context
  Returns:
    the method

### getInstallParameters

    public abstract List getInstallParameters(KernelControllerContext context)

  Get the install parameters

  Parameters:
    `context` - the context
  Returns:
    the parameters

### getUninstallMethod

    public abstract String getUninstallMethod(KernelControllerContext context)

  Get the uninstall method

  Parameters:
    `context` - the context
  Returns:
    the method

### getUninstallParameters

    public abstract List getUninstallParameters(KernelControllerContext context)

  Get the uninstall parameters

  Parameters:
    `context` - the context
  Returns:
    the parameters

### installAction

    public void installAction(KernelControllerContext context)
                       throws Throwable

  Overrides:
    `installAction` in class `KernelControllerContextActions.KernelControllerContextAction`
  Throws:
    `Throwable`

### uninstallAction

    public void uninstallAction(KernelControllerContext context)

  Overrides:
    `uninstallAction` in class `KernelControllerContextActions.KernelControllerContextAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.